Bug 1088306 - Mess in /etc/os-release files for different openSUSE branches
Mess in /etc/os-release files for different openSUSE branches
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P3 - Medium : Normal (vote)
: Current
Assigned To: Dominique Leuenberger
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-05 13:46 UTC by Mikhail Kasimov
Modified: 2019-01-21 00:07 UTC (History)
9 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2018-04-05 13:46:01 UTC
Hello!

Found some mess in /etc/os-release naming scheme. Cosmetic mess, but, anyway, it's desirable to fix it to have unified /etc/os-release items-style.

Not sure of Component section to file this report, in particular, because it is applicable both for Leap and Tumbleweed branches. Feel free to move report, if needed.

Deal:
=====


The mess is in ID= and ID_LIKE= fields for Leap and Tumbleweed branches.


For example on Leap 42.3/15.0/Tumbleweed:
================================
cat /etc/os-release

...
ID=opensuse <-- missed double-quotes
ID_LIKE="suse"
...
================================

At the same time Tumbleweed Kubic:
================================
...
ID="opensuse-tumbleweed-kubic" <-- why not "opensuse" as it is done for Tumbleweed?
ID_LIKE="suse opensuse" <-- why not also "suse" as it is done for Leap/Tumbleweed?
...
================================



Solution to have:
================================

1. For Leap branch:

ID="opensuse-leap"
ID_LIKE="suse"

2. For Tumbleweed branch:

ID="opensuse-tumbleweed"
ID_LIKE="suse"

3. For Tumbleweed-based projects (like it is done for Kubic)

ID="opensuse-tumbleweed-%project_name%"
ID_LIKE="suse"

4. For Leap-based projects (to be reserved)

ID="opensuse-leap-%project_name%"
ID_LIKE="suse"
================================


If you take a look on SLES/SLED/CaaSP branches, you'll see, that all of them have clearly defined ID= fields:

ID="sles"
ID="sled"
ID="caasp"

respectively. And note, double-quotes for ID= field are present everywhere, except of Leap branch. So, let's have clearly defined mess-free/unified ID= fields for openSUSE branches too.

Thanks!
Comment 1 Andreas Stieger 2018-04-05 14:12:44 UTC
(In reply to Mikhail Kasimov from comment #0)
> Found some mess in /etc/os-release naming scheme.
> [...]
> ID=opensuse <-- missed double-quotes
> ID="opensuse-tumbleweed-kubic" <-- why not "opensuse" as it is done for
> Tumbleweed?
> ID_LIKE="suse opensuse" <-- why not also "suse" as it is done for
> Leap/Tumbleweed?

I will move that to the Kubic and Leap 15.0 release teams, nothing that can be done via Leap 42.3 maintenance alone without involving the release teams.

Also this sounds like something to be addressed for future releases only.
Comment 2 Mikhail Kasimov 2018-04-05 14:23:01 UTC
(In reply to Andreas Stieger from comment #1)
> (In reply to Mikhail Kasimov from comment #0)
> > Found some mess in /etc/os-release naming scheme.
> > [...]
> > ID=opensuse <-- missed double-quotes
> > ID="opensuse-tumbleweed-kubic" <-- why not "opensuse" as it is done for
> > Tumbleweed?
> > ID_LIKE="suse opensuse" <-- why not also "suse" as it is done for
> > Leap/Tumbleweed?
> 
> I will move that to the Kubic and Leap 15.0 release teams, nothing that can
> be done via Leap 42.3 maintenance alone without involving the release teams.

42.3 was mentioned just because it is actual Leap version in release. In general case -- yes, 42.3 will be out-of-date soon.
 
> Also this sounds like something to be addressed for future releases only.

Yes, certainly. Thanks!
Comment 3 Ludwig Nussel 2018-04-09 15:54:02 UTC
the double quote should certainly be fixed.

For the id I'm not sure we can still go from opensuse to opensuse-leap, programs likely already rely on eg ID=opensuse && VERSION=42.3
Comment 4 Richard Brown 2018-04-09 15:58:20 UTC
(In reply to Ludwig Nussel from comment #3)
> the double quote should certainly be fixed.
> 
> For the id I'm not sure we can still go from opensuse to opensuse-leap,
> programs likely already rely on eg ID=opensuse && VERSION=42.3

I'm split..half of me agrees with you

the other half argues that anyone who 'relies' on ID=$foo is wrong

The whole design of os-release means they SHOULD check "if ID=$foo || ID_LIKE~=$foo"

That is why we already have ID_LIKE="suse" - and I _know_ that is already used by products like salt

And in Kubic we have been using ID_LIKE="opensuse suse" with no (known) fallout yet

So I think it should be considered
Comment 5 Mikhail Kasimov 2018-04-09 16:26:22 UTC
Hello!

I think, it's also useful to give preamble of this report.

Deal:
======
I was working on Nginx Amplify Agent (https://amplify.nginx.com/docs/faq-2-nginx-amplify-agent.html) to have out-of-the-box support for SUSE (see 2.1 paragraph).

In one moment I understood, I need install a row of SUSE's versions on VMs to make OS detection type more specific.

And installation script of Nginx Amplify Agent has such OS detection code:
===================================================
# Get OS information
get_os_name () {

    centos_flavor="centos"

    # Use lsb_release if possible
    if command -V lsb_release > /dev/null 2>&1; then
        os=`lsb_release -is | tr '[:upper:]' '[:lower:]'`
        codename=`lsb_release -cs | tr '[:upper:]' '[:lower:]'`
        release=`lsb_release -rs | sed 's/\..*$//'`

        if [ "$os" = "redhatenterpriseserver" -o "$os" = "oracleserver" ]; then
            os="centos"
            centos_flavor="red hat linux"
        fi
    # Otherwise it's getting a little bit more tricky
    else
        if ! ls /etc/*-release > /dev/null 2>&1; then
            os=`uname -s | \
                tr '[:upper:]' '[:lower:]'`
        else
            os=`cat /etc/*-release | grep '^ID=' | \
                sed 's/^ID=["]*\([a-zA-Z]*\).*$/\1/' | \
                tr '[:upper:]' '[:lower:]'`

            if [ -z "$os" ]; then
                if grep -i "oracle linux" /etc/*-release > /dev/null 2>&1 || \
                   grep -i "red hat" /etc/*-release > /dev/null 2>&1; then
                    os="rhel"
                else
                    if grep -i "centos" /etc/*-release > /dev/null 2>&1; then
                        os="centos"
                    else
                        os="linux"
                    fi
                fi
            fi
        fi

        case "$os" in
            ubuntu)
                codename=`cat /etc/*-release | grep '^DISTRIB_CODENAME' | \
                          sed 's/^[^=]*=\([^=]*\)/\1/' | \
                          tr '[:upper:]' '[:lower:]'`
                ;;
            debian)
                codename=`cat /etc/*-release | grep '^VERSION=' | \
                          sed 's/.*(\(.*\)).*/\1/' | \
                          tr '[:upper:]' '[:lower:]'`
                ;;
            centos)
                codename=`cat /etc/*-release | grep -i 'centos.*(' | \
                          sed 's/.*(\(.*\)).*/\1/' | head -1 | \
                          tr '[:upper:]' '[:lower:]'`
                # For CentOS grab release
                release=`cat /etc/*-release | grep -i 'centos.*[0-9]' | \
                         sed 's/^[^0-9]*\([0-9][0-9]*\).*$/\1/' | head -1`
                ;;
            rhel|ol)
                codename=`cat /etc/*-release | grep -i 'red hat.*(' | \
                          sed 's/.*(\(.*\)).*/\1/' | head -1 | \
                          tr '[:upper:]' '[:lower:]'`
                # For Red Hat also grab release
                release=`cat /etc/*-release | grep -i 'red hat.*[0-9]' | \
                         sed 's/^[^0-9]*\([0-9][0-9]*\).*$/\1/' | head -1`

                if [ -z "$release" ]; then
                    release=`cat /etc/*-release | grep -i '^VERSION_ID=' | \
                             sed 's/^[^0-9]*\([0-9][0-9]*\).*$/\1/' | head -1`
                fi

                os="centos"
                centos_flavor="red hat linux"
                ;;
            amzn)
                codename="amazon-linux-ami"
                release_amzn=`cat /etc/*-release | grep -i 'amazon.*[0-9]' | \
                              sed 's/^[^0-9]*\([0-9][0-9]*\.[0-9][0-9]*\).*$/\1/' | \
                              head -1`
                release="latest"

                os="amzn"
                centos_flavor="amazon linux"
                ;;
            *)
                codename=""
                release=""
                ;;
        esac
    fi
}
=============================================

As you can see, ID= field mainly is in use. That's why I paid attention just on ID= fields for different SUSE products version and have also prepared wiki-page for external developers: https://en.opensuse.org/SDB:SUSE_and_openSUSE_Products_Version_Outputs (based on https://bugzilla.suse.com/show_bug.cgi?id=1087704).

If ID= field is in use, it is the most easy way to parse SUSE product version and to cut, for example, Kubic and CaaSP support off, in necessary, and to install some software on Leap and TW only. This gives an advantage of flexibility when OS type is detected.

That how the 'Solution to have:' scheme were invented.

Hope, this makes the nature of current report more clear.

Thanks!
Comment 6 Mikhail Kasimov 2018-04-14 15:23:46 UTC
Keep on thing about this...

BTW: "The whole design of os-release means they SHOULD check "if ID=$foo || ID_LIKE~=$foo"" (c) Richard Brown

Due to cat /etc/os-release for commercial version of SUSE (SLES, SLED, CaaSP): https://en.opensuse.org/SDB:SUSE_and_openSUSE_Products_Version_Outputs

No ID_LIKE= field is present for them, ID= only instead of non-commercial versions.

I'm not aware of reasons for that, but, personally, this makes an additional mess.

Let's have just simple and nice scheme here, based on principle 'once invented works hundreds of years':

1) To add ID_LIKE= field in /etc/os-release also for commercial version of SUSE (SLES, SLED, CaaSP). This can give possible to make such granulation:

2) For commercial versions of SUSE (SLES, SLED, CaaSP): ID_LIKE="suse"
   For non-commercial versions of SUSE (Leap, TW, Leap-based projects, TW-base projects): ID_LIKE="opensuse"

Advantages:
===========
A. This will annihilate the mess we have nowadays: here we have ID_LIKE="suse", there -- "opensuse suse", something elsewhere -- "suse opensuse suse mega-super-duper-something-else".

B. Simple and nice way for external developers to parse OS type to install their software.

C. With scheme from "Solution to have:" paragraph for ID= fields, we can have:

C1. For non-commercial versions:

ID="opensuse-leap" | "opensuse-tumbleweed" | "opensuse-leap-%projectname%" | "opensuse-tumbleweed-%projectname%"
ID_LIKE="opensuse"

C2. For commercial versions:

ID="sles" | "sled" | "caasp" | "sles-%projectname%" | "sled-%projectname%" | "caasp-%projectname%"
ID_LIKE="suse"

I think, it is applicable.

As an additional advantage for external developers, this will give possibility to detect SUSE cloud-specific projects immediately and to avoid meaningless attempts to install their software on read-only filesystem partitions.

Something like for ID= field parsing:
==================================
if [-z "os" = "opensuse-tumbleweed-kubic" -o "os" = "caasp"] then
echo "SUSE cloud-specific project is detected. Exit."
exit 0
else echo "SUSE OS type is OK to install our software"
...
==================================

Something like for ID_LIKE= field parsing:
==================================
if [-z "oslike" = "opensuse" -a "os" = "kubic"] then
echo "openSUSE cloud-specific project is detected. Exit."
exit 0
else echo "SUSE OS type is OK to install our software"
...
==================================

Something like for ID_LIKE= field parsing:
==================================
if [-z "oslike" = "suse" -a "os" = "caasp"] then
echo "SUSE cloud-specific project is detected. Exit."
exit 0
else echo "SUSE OS type is OK to install our software"
...
==================================
Comment 7 Mikhail Kasimov 2018-04-16 11:02:51 UTC
From ML: "We only have few days left to define what is in /etc/os-release for 15 in case it's suboptimal." (c)

So, short summary to discuss and to work out the final decision:

Solution to have for ID= field:
================================

ID="opensuse-leap" | "opensuse-tumbleweed" | "opensuse-leap-%projectname%" | "opensuse-tumbleweed-%projectname%"

ID="sles" | "sled" | "caasp" | "sles-%projectname%" | "sled-%projectname%" | "caasp-%projectname%"
================================

Solution to have for ID_LIKE= field:
=====================================
2.1. To add ID_LIKE= field into /etc/os-release file for all commercial SUSE products versions: SLES, SLED. CaaSP and so on to be synchronized with non-commercial ones.

2.2. For all non-commercial SUSE products versions to define:

ID_LIKE="opensuse"

2.2. For all commercial SUSE products versions to define:

ID_LIKE="suse"
=====================================

Richard, Ludwig,..., -- any reaction, suggestion, decision? Thanks!
Comment 8 Richard Brown 2018-04-16 11:17:43 UTC
(In reply to Mikhail Kasimov from comment #7)
> From ML: "We only have few days left to define what is in /etc/os-release
> for 15 in case it's suboptimal." (c)
> 
> So, short summary to discuss and to work out the final decision:
> 
> Solution to have for ID= field:
> ================================
> 
> ID="opensuse-leap" | "opensuse-tumbleweed" | "opensuse-leap-%projectname%" |
> "opensuse-tumbleweed-%projectname%"
> 
> ID="sles" | "sled" | "caasp" | "sles-%projectname%" | "sled-%projectname%" |
> "caasp-%projectname%"
> ================================
> 
> Solution to have for ID_LIKE= field:
> =====================================
> 2.1. To add ID_LIKE= field into /etc/os-release file for all commercial SUSE
> products versions: SLES, SLED. CaaSP and so on to be synchronized with
> non-commercial ones.
> 
> 2.2. For all non-commercial SUSE products versions to define:
> 
> ID_LIKE="opensuse"
> 
> 2.2. For all commercial SUSE products versions to define:
> 
> ID_LIKE="suse"
> =====================================
> 
> Richard, Ludwig,..., -- any reaction, suggestion, decision? Thanks!

I think it's unreasonable to expect SUSE to change their use of os-release this late in their development process. Stefan, Frederic, do I mis-read the situation? Ideally this is something we probably should tidy up, as it will dramatically ease a lot of painpoints for tools like Saltstack.

Regardless of the situation in SLE*, I give my +1 to the proposed openSUSE changes, though I would prefer ID_LIKE="suse opensuse"

because ID_LIKE="suse" would allow us to provide a single global match for "all *SUSE distros" (including SLE*), assuming SLE adopt this approach in this future.
However even then we may well need a more restrictive match for "all openSUSE distros" (excluding SLE*), which would be fulfilled by ID_LIKE="opensuse"

Given the os-release standard allows multiple values in this field, we might as well use it.
Comment 9 Mikhail Kasimov 2018-04-16 11:56:30 UTC
(In reply to Richard Brown from comment #8)
> (In reply to Mikhail Kasimov from comment #7)
> > From ML: "We only have few days left to define what is in /etc/os-release
> > for 15 in case it's suboptimal." (c)
> > 
> > So, short summary to discuss and to work out the final decision:
> > 
> > Solution to have for ID= field:
> > ================================
> > 
> > ID="opensuse-leap" | "opensuse-tumbleweed" | "opensuse-leap-%projectname%" |
> > "opensuse-tumbleweed-%projectname%"
> > 
> > ID="sles" | "sled" | "caasp" | "sles-%projectname%" | "sled-%projectname%" |
> > "caasp-%projectname%"
> > ================================
> > 
> > Solution to have for ID_LIKE= field:
> > =====================================
> > 2.1. To add ID_LIKE= field into /etc/os-release file for all commercial SUSE
> > products versions: SLES, SLED. CaaSP and so on to be synchronized with
> > non-commercial ones.
> > 
> > 2.2. For all non-commercial SUSE products versions to define:
> > 
> > ID_LIKE="opensuse"
> > 
> > 2.2. For all commercial SUSE products versions to define:
> > 
> > ID_LIKE="suse"
> > =====================================
> > 
> > Richard, Ludwig,..., -- any reaction, suggestion, decision? Thanks!
> 
> I think it's unreasonable to expect SUSE to change their use of os-release
> this late in their development process.

That sounds sane. Indeed, ML-message bumped me up. :)

> Stefan, Frederic, do I mis-read the
> situation? Ideally this is something we probably should tidy up, as it will
> dramatically ease a lot of painpoints for tools like Saltstack.
> 
> Regardless of the situation in SLE*, I give my +1 to the proposed openSUSE
> changes, though I would prefer ID_LIKE="suse opensuse"
> 
> because ID_LIKE="suse" would allow us to provide a single global match for
> "all *SUSE distros" (including SLE*), assuming SLE adopt this approach in
> this future.
> However even then we may well need a more restrictive match for "all
> openSUSE distros" (excluding SLE*), which would be fulfilled by
> ID_LIKE="opensuse"
> 
> Given the os-release standard allows multiple values in this field, we might
> as well use it.

I also was thinking about CPE_NAME= field to parse, but external developers will pay their attention on the most obvious and generic variations, like ID= and ID_LIKE= fields, I suppose.

And parsing CPE_NAME= field is extremely lame method, personally, (e.g. cat /etc/os-release | grep '^CPE_NAME=' | awk -F= '{print $2}' | awk -F: '{print $3,$4,$5,$6}' | sed 's/\"//g'), although CPE_NAME= gives much better possibilities to match distro. And it is present both in SLE-based and openSUSE-based distros instead of ID_LIKE= field (see 2.1).
Comment 10 Stefan Behlert 2018-04-17 11:27:40 UTC
(In reply to Richard Brown from comment #8)
> (In reply to Mikhail Kasimov from comment #7)
> > From ML: "We only have few days left to define what is in /etc/os-release
> > for 15 in case it's suboptimal." (c)
> > 
> > So, short summary to discuss and to work out the final decision:
> > 
> > Solution to have for ID= field:
> > ================================
> > 
> > ID="opensuse-leap" | "opensuse-tumbleweed" | "opensuse-leap-%projectname%" |
> > "opensuse-tumbleweed-%projectname%"
> > 
> > ID="sles" | "sled" | "caasp" | "sles-%projectname%" | "sled-%projectname%" |
> > "caasp-%projectname%"
> > ================================
> > 
> > Solution to have for ID_LIKE= field:
> > =====================================
> > 2.1. To add ID_LIKE= field into /etc/os-release file for all commercial SUSE
> > products versions: SLES, SLED. CaaSP and so on to be synchronized with
> > non-commercial ones.
> > 
> > 2.2. For all non-commercial SUSE products versions to define:
> > 
> > ID_LIKE="opensuse"
> > 
> > 2.2. For all commercial SUSE products versions to define:
> > 
> > ID_LIKE="suse"
> > =====================================
> > 
> > Richard, Ludwig,..., -- any reaction, suggestion, decision? Thanks!
> 
> I think it's unreasonable to expect SUSE to change their use of os-release
> this late in their development process. Stefan, Frederic, do I mis-read the
> situation? Ideally this is something we probably should tidy up, as it will
> dramatically ease a lot of painpoints for tools like Saltstack.

For SLE 15, this is too late, I'd say. sorry.
Comment 11 Ludwig Nussel 2018-04-24 12:44:34 UTC
SLE 15 is fine I'd say

$ grep ^ID *.spec
SLED-release.spec:ID="sled"
SLED-release.spec:ID_LIKE="suse"
SLES_HPC-release.spec:ID="sles_hpc"
SLES_HPC-release.spec:ID_LIKE="suse"
SLES-release.spec:ID="sles"
SLES-release.spec:ID_LIKE="suse"
SLES_SAP-release.spec:ID="sles"
SLES_SAP-release.spec:ID_LIKE="suse"
Comment 13 Ludwig Nussel 2018-04-24 12:59:25 UTC
hand over to Dominique for TW
Comment 14 Dominique Leuenberger 2018-04-24 13:39:21 UTC
(In reply to Ludwig Nussel from comment #13)
> hand over to Dominique for TW

Updated TW also to:

ID="opensuse-tumbleweed"
ID_LIKE="opensuse suse"

https://build.opensuse.org/package/rdiff/openSUSE:Factory/000product?linkrev=base&rev=122

for kubic I wonder if ID_LIKE should remain
ID_LIKE="suse opensuse" (as-is)
or change to
ID_LIKE="suse opensuse opensuse-tumbleweed" (feels somewhat more correct)
Comment 15 Mikhail Kasimov 2018-04-24 13:51:59 UTC
(In reply to Dominique Leuenberger from comment #14)
> (In reply to Ludwig Nussel from comment #13)
> > hand over to Dominique for TW
> 
> Updated TW also to:
> 
> ID="opensuse-tumbleweed"
> ID_LIKE="opensuse suse"
> 
> https://build.opensuse.org/package/rdiff/openSUSE:Factory/
> 000product?linkrev=base&rev=122
> 
> for kubic I wonder if ID_LIKE should remain
> ID_LIKE="suse opensuse" (as-is)
> or change to
> ID_LIKE="suse opensuse opensuse-tumbleweed" (feels somewhat more correct)

In case of ID_LIKE="suse opensuse opensuse-tumbleweed", for Leap should be ID_LIKE="suse opensuse opensuse-leap", I suppose to be in single naming-scheme?

What about: ID_LIKE="suse-opensuse" or, even, ID_LIKE="suse-opensuse-leap" | "suse-opensuse-tumbleweed" ?

hyphen everywhere to avoid spaces (%20)). M?
Comment 16 Dominique Leuenberger 2018-04-24 13:56:51 UTC
(In reply to Mikhail Kasimov from comment #15)
> (In reply to Dominique Leuenberger from comment #14)
> > (In reply to Ludwig Nussel from comment #13)
> > > hand over to Dominique for TW
> > 
> > Updated TW also to:
> > 
> > ID="opensuse-tumbleweed"
> > ID_LIKE="opensuse suse"
> > 
> > https://build.opensuse.org/package/rdiff/openSUSE:Factory/
> > 000product?linkrev=base&rev=122
> > 
> > for kubic I wonder if ID_LIKE should remain
> > ID_LIKE="suse opensuse" (as-is)
> > or change to
> > ID_LIKE="suse opensuse opensuse-tumbleweed" (feels somewhat more correct)
> 
> In case of ID_LIKE="suse opensuse opensuse-tumbleweed", for Leap should be
> ID_LIKE="suse opensuse opensuse-leap", I suppose to be in single
> naming-scheme?

Leap has (so far) no sub-projects, but yes, I'd argue that those will have to set ID_LIKE="suse opensuse opensuse-leap"

> What about: ID_LIKE="suse-opensuse" or, even, ID_LIKE="suse-opensuse-leap" |
> "suse-opensuse-tumbleweed" ?

erm.. no. ID_LIKE is a LIST of OS-identifiers the OS is derived from.. so suse/opensuse/opensuse-tumbleweed in case of TW Kubic. Space in there is absolutely wanted.
Comment 17 Mikhail Kasimov 2018-04-24 14:02:50 UTC
(In reply to Dominique Leuenberger from comment #16)
> (In reply to Mikhail Kasimov from comment #15)
> > (In reply to Dominique Leuenberger from comment #14)
> > > (In reply to Ludwig Nussel from comment #13)
> > > > hand over to Dominique for TW
> > > 
> > > Updated TW also to:
> > > 
> > > ID="opensuse-tumbleweed"
> > > ID_LIKE="opensuse suse"
> > > 
> > > https://build.opensuse.org/package/rdiff/openSUSE:Factory/
> > > 000product?linkrev=base&rev=122
> > > 
> > > for kubic I wonder if ID_LIKE should remain
> > > ID_LIKE="suse opensuse" (as-is)
> > > or change to
> > > ID_LIKE="suse opensuse opensuse-tumbleweed" (feels somewhat more correct)
> > 
> > In case of ID_LIKE="suse opensuse opensuse-tumbleweed", for Leap should be
> > ID_LIKE="suse opensuse opensuse-leap", I suppose to be in single
> > naming-scheme?
> 
> Leap has (so far) no sub-projects, but yes, I'd argue that those will have
> to set ID_LIKE="suse opensuse opensuse-leap"

Today -- yes, no sub-projects for Leap. But who knows what can be tomorrow/in a year/etc.../ ? Yes, it's better to be ready now, instead of urgently fixing something in future. :)
 
> > What about: ID_LIKE="suse-opensuse" or, even, ID_LIKE="suse-opensuse-leap" |
> > "suse-opensuse-tumbleweed" ?
> 
> erm.. no. ID_LIKE is a LIST of OS-identifiers the OS is derived from.. so
> suse/opensuse/opensuse-tumbleweed in case of TW Kubic. Space in there is
> absolutely wanted.

OK. ID_LIKE="suse opensuse opensuse-leap" and ID_LIKE="suse opensuse opensuse-tumbleweed".
Comment 18 Mikhail Kasimov 2018-04-24 14:07:30 UTC
(In reply to Ludwig Nussel from comment #11)
> SLE 15 is fine I'd say
> 
> $ grep ^ID *.spec
> SLED-release.spec:ID="sled"
> SLED-release.spec:ID_LIKE="suse"
> SLES_HPC-release.spec:ID="sles_hpc"
> SLES_HPC-release.spec:ID_LIKE="suse"
> SLES-release.spec:ID="sles"
> SLES-release.spec:ID_LIKE="suse"
> SLES_SAP-release.spec:ID="sles"
> SLES_SAP-release.spec:ID_LIKE="suse"

SLES_HPC-release.spec:ID="sles_hpc"
SLES_SAP-release.spec:ID="sles" --> SLES_SAP-release.spec:ID="sles_sap"?
Comment 19 Dominique Leuenberger 2018-04-24 14:11:40 UTC
TW-Kubic has been set to:

 ID="opensuse-tumbleweed-kubic"
 ID_LIKE="suse opensuse opensuse-tumbleweed"

https://build.opensuse.org/package/rdiff/openSUSE:Factory/000product?linkrev=base&rev=123

the SLE things are
a) out of openSUSe's control
b) as already confirmed by behlert, too late in the game

Leap and TW are fixed (in the sources; TW will have it in snapshot 0424)
Comment 20 Mikhail Kasimov 2018-04-24 14:20:54 UTC
(In reply to Dominique Leuenberger from comment #19)
> TW-Kubic has been set to:
> 
>  ID="opensuse-tumbleweed-kubic"
>  ID_LIKE="suse opensuse opensuse-tumbleweed"
> 
> https://build.opensuse.org/package/rdiff/openSUSE:Factory/
> 000product?linkrev=base&rev=123
> 
> the SLE things are
> a) out of openSUSe's control
> b) as already confirmed by behlert, too late in the game

Too late for _today_, I suppose. Not for future version (can be planned).
 
> Leap and TW are fixed (in the sources; TW will have it in snapshot 0424)

For Leap: https://build.opensuse.org/request/show/600652 (to have the same naming-scheme: ID_LIKE="suse opensuse opensuse-leap")

https://build.opensuse.org/package/rdiff/home:k_mikhail:branches:openSUSE:Leap:15.0/000package-groups?linkrev=base&rev=2